Subject: bug#78448: 30.1; mml: Produce Unobtrusive Signatures

From: Eli Zaretskii <[email-masked]>
Date: Sat, 31 May 2025 12:21:10 +0300

Ping!  Eric, would you please chime in and comment on the patch?

> From: Daniel Kahn Gillmor <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Wed, 28 May 2025 10:07:25 -0400
> 
> On Wed 2025-05-28 08:44:21 -0400, Richard Stallman wrote:
> > [ dkg wrote: ]
> >   > > i want to be able to produce an "Unobtrusive Signature" using
> >   > > OpenPGP as described in
> >   > > https://datatracker.ietf.org/doc/draft-gallagher-email-unobtrusive-signatures/
> >
> > Can GPG do this job also?  If so, we should by default use GPG to do
> > this, unless the user specifies a different command to use.
> 
> The proposed patch series explicitly relies on emacs's epg to make the
> actual signature.  epg is an emacs library to use GPG.  So i think what
> you're asking for is already being done in this series.
> 
> For background: GPG typically does not handle e-mails directly.  Rather,
> the mail user agent (MUA) needs to figure out how to modify the pending
> e-mail message to be able to feed it into GPG as a text or binary
> document to make an OpenPGP signature; then the MUA has to restructure
> the message again to ship both the substance and the signature into a
> single e-mail message.
> 
> Regards,
> 
>         --dkg